-- WHEN UPDATING THIS FILE, REMEMBER TO ALSO ADD ANY LINES INTO THE CURSE LOCALIZATION
-- Otherwise, issues will rise with missing values in translated versions.

local addonname, LUI = ...

local L = LibStub("AceLocale-3.0"):NewLocale(addonname, "enUS", true)

-- Generic
L["Generic_Settings"] = "Settings"
L["Generic_Position"] = "Position"
L["Generic_Textures"] = "Textures"
L["Generic_Colors"] = "Colors"
L["Generic_Background"] = "Background"
L["Generic_Border"] = "Border"
L["Generic_BackgroundDesc"] = "Choose the background texture."
L["Generic_BorderDesc"] = "Choose the border texture."
L["Generic_Tapped"] = "Tapped"
L["Generic_Padding"] = "Padding"
L["Generic_Spacing"] = "Spacing"
L["Generic_Scale"] = "Scale"

-- Flags
L["Flag_None"] = "None"
L["Flag_Outline"] = "Outline"
L["Flag_ThickOutline"] = "Thick Outline"
L["Flag_Monochrome"] = "Monochrome"
L["Point_Center"] = "Center"
L["Point_Top"] = "Top"
L["Point_Bottom"] = "Bottom"
L["Point_Left"] = "Left"
L["Point_Right"] = "Right"
L["Point_TopLeft"] = "Top Left"
L["Point_TopRight"] = "Top Right"
L["Point_BottomLeft"] = "Bottom Left"
L["Point_BottomRight"] = "Bottom Right"

-- Core
L["Core_InstallSucess"] = "LUI has been installed."
L["Core_ModuleInstallFail_Format"] = "Error installing %s module: %s"
L["Core_Welcome"] = "Welcome"
L["Core_IntroText"] = "Welcome to LUI v4, a complete default UI replacement.\n\n For any question regarding the UI, please go to our forums at http://wowlui.com \n\n\n"
L["Core_Revision_Format"] = "Revision: %s"
L["Core_ModuleMenu"] = "|cffffffffModules:|r"
L["Core_OpenOptionsFail"] = "|cffFF0000Unable to open the options for the first time while in combat."
L["Core_Dev_RevertState_Format"] = "Reverted %s's installed state"
L["Core_LoadProfileSucess_Format"] = "Loading Profile: %s"
L["Core_LoadProfileFail_Format"] = "No Profile Found: %s"
L["Core_ModuleClickHint"] = "Left Click: Toggle between Enabled and Disabled.\nShift Click: Reset module's settings."
L["Core_ModuleReset"] = "Settings have been reset."

-- API
L["API_InputNumber"] = "Please input a number."
L["API_BtnEnabled"] = "|cff00FF00Enabled|r"
L["API_BtnDisabled"] = "|cffFF0000Disabled|r"
L["API_XValue_Name"] = "X Value"
L["API_XValue_Desc"] = "Horizontal value of the %s"
L["API_XValue_Note"] = "\n\nNote:\nPositive Values = Right\nNegative Values = Left"
L["API_YValue_Name"] = "Y Value"
L["API_YValue_Desc"] = "Vertical value for the %s"
L["API_YValue_Note"] = "\n\nNote:\nPositive Values = Up\nNegative Values = Down"

-- CPanel
L["CPanel_Modules"] = "Modules"
L["CPanel_Infotext"] = "Infotext"

-- Colors
L["Colors_Classes"] = "Classes"
L["Colors_Factions"] = "Factions"
L["Colors_Gradients"] = "Gradients"
L["Colors_Good"] = "Good"
L["Colors_Medium"] = "Medium"
L["Colors_Bad"] = "Bad"
L["Color_Levels"] = "Level Differences"
L["Color_DiffSkull"] = "Skull. Level >= 5"
L["Color_DiffHard"] = "Hard. Level >= 3"
L["Color_DiffEqual"] = "Normal. Target Within 2 Levels"
L["Color_DiffEasy"] = "Easy. Green Quest Range."
L["Color_DiffLow"] = "Trivial. Low Level Target."

-- Minimap
L["Minimap_AlwaysShowText_Name"] = "Always Show Minimap Text"
L["Minimap_AlwaysShowText_Desc"] = "If this is checked, Location and Coordinates text will always be shown."
L["Minimap_ShowTextures_Name"] = "Show Minimap Textures"
L["Minimap_ShowTextures_Desc"] = "If this is unchecked, the textures surrounding the minimap will be gone."
L["Minimap_CoordPrecision_Name"] = "Coord Precision"
L["Minimap_CoordPrecision_Desc"] = "Determines the floating point precision of the coordinates."
L["Minimap_Scale_Name"] = "Minimap Scale"
L["Minimap_Scale_Desc"] = "Determines the scale of your Minimap."
L["Minimap_BorderColor_Name"] = "Border Color"
L["Minimap_BorderColor_Desc"] = "Choose a color for your Minimap's Border"

-- Bags
L["Bags_SearchHint"] = "Right-click to search."

-- Tooltip
L["Tooltip_Rare"] = "Rare"
L["Tooltip_Ghost"] = "Ghost"
L["Tooltip_MyGuild"] = "MyGuild"
L["Tooltip_Positions"] = "tooltip"
L["Tooltip_HideCombat_Name"] = "Hide All Tooltips In Combat"
L["Tooltip_HideCombat_Desc"] = "Determines if any tooltips will be shown in combat"
L["Tooltip_HideCombatSkills_Name"] = "Only Hide Abilities In Combat"
L["Tooltip_HideCombatSkills_Desc"] = "Determines if ability tooltips will be shown in combat"
L["Tooltip_HideCombatUnit_Name"] = "Only Hide Unit Tooltips In Combat"
L["Tooltip_HideCombatUnit_Desc"] = "Determines if unit tooltips will be shown in combat"
L["Tooltip_HideUF_Name"] = "Hide Unitframes Tooltips"
L["Tooltip_HideUF_Desc"] = "If Checked, unitframes will not display a tooltip."
L["Tooltip_HidePVP_Name"] = "Hide PvP Flag"
L["Tooltip_HidePVP_Desc"] = "If Checked, the PvP flag line will not be displayed inside tooltips."
L["Tooltip_ShowSex_Name"] = "Show Unit Sex"
L["Tooltip_ShowSex_Desc"] = "If Checked, the unit's sex will be displayed if available."
L["Tooltip_Scale_Name"] = "Tooltip Scale"
L["Tooltip_Scale_Desc"] = "Changes the size of the tooltip"
L["Tooltip_Cursor_Name"] = "Anchor to Cursor"
L["Tooltip_Cursor_Desc"] = "Determines if the tooltips will show at the cursor's position."
L["Tooltip_PosDesc"] = "Those values are relative to the right side of the screen."
L["Tooltip_BackgroundTex_Name"] = "Tooltip Background Texture"
L["Tooltip_BorderTex_Name"] = "Tooltip Border Texture"
L["Tooltip_HealthBar_Header"] = "Health Bar"
L["Tooltip_HealthBar_Name"] = "Health Bar Texture"
L["Tooltip_HealthBar_Desc"] = "Choose the tooltip's health bar texture."
L["Tooltip_BorderTex_Name"] = "Tooltip Border Texture"
L["Tooltip_BorderSize_Name"] = "Border Size"
L["Tooltip_BorderSize_Desc"] = "Value for the tooltip's border size."

-- Infotext
L["Info_Hint"] = "Hint:"
L["InfoArmor_Display_Format"] = "Armor: %d%%"
L["InfoArmor_Hint_Any"] = "Click to open Character Frame."
L["InfoMemory_Header"] = "Memory:"
L["InfoMemory_TotalMemory"] = "Total Memory Usage:"
L["InfoMemory_Hint_Any"] = "Click to Collect Garbage."
L["InfoFps_Header"] = "FPS / Latency:"
L["InfoFps_Latency"] = "Latency:"
L["InfoFps_Home"] = "Home:"
L["InfoFps_World"] = "World:"
L["InfoFps_Bandwidth"] = "Bandwidth usage:"
L["InfoFps_Current"] = "Current:"
L["InfoFps_CurrentDown"] = "Current Down:"
L["InfoFps_CurrentUp"] = "Current Up:"
L["InfoFps_MB_Format"] = "%.2f MB/s"
L["InfoFps_KB_Format"] = "%.2f KB/s"
L["InfoBags_Header"] = "Bags:"
L["InfoBags_Text_Format"] = "Bags: %d/%d"
L["InfoBags_Hint_Any"] = "Click to open Bags."
L["InfoClock_InvitePending"] = "(Inv. Pending!)"
L["InfoClock_TimeUntil_Format"] = "Time until %s:"
L["InfoClock_SavedRaids"] = "Saved Raid(s) :"
L["InfoClock_LockoutTimeLeft_Format"] = " %dd %dh %dm"
L["InfoClock_LockoutTimeLeftGsub_Format"] = " 0[dhm]"
L["InfoClock_Hint_Right"] = "Right-Click to open Time Manager Frame."
L["InfoClock_InstanceDifficulty_Name"] = "Show Instance Difficulty"
L["InfoClock_InstanceDifficulty_Desc"] = "Display a little indicator about the instance you're in next to the time."
L["InfoClock_ShowSavedRaids_Name"] = "Show Saved Raids"
L["InfoClock_ShowSavedRaids_Desc"] = "Show information about your raid lockouts for this week inside the tooltip."
L["InfoClock_ShowWorldBosses_Name"] = "Show World Bosses"
L["InfoClock_ShowWorldBosses_Desc"] = "Show information about your world bosses loot lockouts for this week inside the tooltip."
L["InfoDualspec_NoSpec"] = "No Specialization"
L["InfoDualspec_Hint_Any"] = "Click to switch talent group."
L["InfoDualspec_Hint_Right"] = "Right-Click to open Talent Frame."
L["InfoDualspec_Hint_Shift"] = "Shift-Click to open Glyph Frame."
L["InfoDualspec_LootSpec_Name"] = "Show Loot Specialization"
L["InfoDualspec_LootSpec_Desc"] = "Display your current loot specialization in the infotext if you are using a specific one.\n\nNote: Your loot specialization will be displayed in the tooltip regardless of this option."
L["InfoCurrency_Hint_Any"] = "Click to open Currency frame."
L["InfoGuild_NoGuild"] = "No Guild"
L["InfoFriends_NoFriends"] = "No friends online."

-- Bags
L["Bags_Name"] = "Bags"
L["Bags_ItemsPerRow_Name"] = "Items Per Row"
L["Bags_ItemsPerRow_Desc"] = "Select how many items will be displayed per rows in your bags."
L["Bags_Lock_Name"] = "Lock Frames"
L["Bags_Lock_Desc"] = "Lock the bags frames in place."
L["Bags_Padding_Desc"] = "This sets the space between the background border and the adjacent items."
L["Bags_Spacing_Desc"] = "This sets the distance between items."
L["Bags_Scale_Desc"] = "Determines the scale of your bags frame."
-- TODO: Review writing of the following "Whether or not" toggles.
L["Bags_ShowBagBar_Name"] = "Show Bag Bar"
L["Bags_ShowBagBar_Desc"] = "Wether or not to show bag bar."
L["Bags_ShowItemQuality_Name"] = "Show Item Quality"
L["Bags_ShowItemQuality_Desc"] = "Wether or not to show item quality."
L["Bags_ShowNewItemAnim_Name"] = "Show New Item Animation"
L["Bags_ShowNewItemAnim_Desc"] = "Wether or not to show new item animations."
L["Bags_ShowQuestHighlights_Name"] = "Show Quest Highlights"
L["Bags_ShowQuestHighlights_Desc"] = "Wether or not to show quest highlights."

--Bag Types
L["BagType_Unknown"] = "Unknown"
L["BagType_Normal"] = "Normal"
L["BagType_Quiver"] = "Quiver"
L["BagType_AmmoPouch"] = "Ammo Pouch"
L["BagType_SoulBag"] = "Soul Bag"
L["BagType_LeatherworkingBag"] = "Leatherworking Bag"
L["BagType_InscriptionBag"] = "Inscription Bag"
L["BagType_HerbBag"] = "Herb Bag"
L["BagType_EnchantingBag"] = "Enchanting Bag"
L["BagType_EngineeringBag"] = "Engineering Bag"
L["BagType_Keyring"] = "Keyring"
L["BagType_GemBag"] = "Gem Bag"
L["BagType_MiningBag"] = "Mining Bag"
L["BagType_VanityPets"] = "Vanity Pets"
L["BagType_TackleBox"] = "Tackle Box"
L["BagType_CookingBag"] = "Cooking Bag"