-- This module handle various UI Elements by LUI or Blizzard.
-- It's an umbrella module to consolidate the many, many little UI changes that LUI does
--	that do not need a full module for themselves. 

-- Addon building reference.
local addonname, LUI = ...
local module = LUI:NewModule("UI Elements")

local db

--Defaults
module.defaults = {   
	profile = {
		Enable = true, -- Placeholder
	},
}

function module:NewElement(name, ...)
	local element = module:NewModule(name, ...)
	return element
end

function module:OnInitialize()
	LUI:RegisterModule(module)
	db = module.db.profile
end

function module:LoadOptions()
	local options = {
			Header = {
				name = "UI Elements",
				type = "header",
				order = 1,
			},
		}
	return options
end